#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    int32_t int32_eq_const_0_0;
    int16_t int16_eq_const_1_0;
    int32_t int32_eq_const_2_0;
    int16_t int16_eq_const_3_0;
    int64_t int64_eq_const_4_0;
    int8_t int8_eq_const_5_0;

    if (size < 21)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&int32_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&int16_eq_const_1_0, &data[i], 2);
    i += 2;
    memcpy(&int32_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&int16_eq_const_3_0, &data[i], 2);
    i += 2;
    memcpy(&int64_eq_const_4_0, &data[i], 8);
    i += 8;
    memcpy(&int8_eq_const_5_0, &data[i], 1);
    i += 1;


    if (int32_eq_const_0_0 == 1526265982)
    if (int16_eq_const_1_0 == -10503)
    if (int32_eq_const_2_0 == 1108229829)
    if (int16_eq_const_3_0 == 14816)
    if (int64_eq_const_4_0 == -9065426839957498217)
    if (int8_eq_const_5_0 == 70)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
